Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.databeans
Class RowsetNavigator

`java.lang.Object
oracle.jdeveloper.html.WebBeanImpl
oracle.jdeveloper.html.DataWebBeanImpl
oracle.jbo.html.DataWebBeanImpl
oracle.jbo.html.databeans.RowsetNavigator`

All Implemented Interfaces:
  DataWebBean, DataWebBean, WebBean, WebBean

Direct Known Subclasses:
  BaseNavigatorBar

public class RowsetNavigator
extends DataWebBeanImpl

The RowsetNavigator Data Web Bean changes the current record of a View Object's RowSet to a new record.

The `RowsetNavigator` class, which is aggregated by the NavigationBar Data Web Bean, processes any navigation requests passed to the page from the toolbar. These navigation requests are determined by the value of the NAVIGATE parameter from the JSP's request and set the current record of the View Object's RowSet to the appropriate record. The possible values for NAVIGATE and their associated actions are:

- NEXT - goto the next record
- PREV - goto the previous record
- FIRST - goto the first record
- LAST - goto the last record
- NEXTSET - goto the next page
- PREVSET - goto the previous page
- DELETE - delete the current record
- COMMIT - commit the current record to the database
- ROLLBACK - discard changes to the record

JDeveloper's JSP Element wizard instantiates the `RowsetNavigator` class in a `jsp:useBean` tag in a `.jsp` file. Along with the class, the wizard also includes an ID and a scope declaration set to `request`. If you change the scope to any other value, you will have to handle possible multithreading issues.

The definition of the RowSet navigator provided by the wizard includes these methods: `setReleaseApplicationResources`, `initialize`, and `render`. For example,

      <jsp:useBean   class="oracle.jbo.html.databeans.RowsetNavigator"
                      id="navDetail"  scope="request" >
      <%

            navDetail.setReleaseApplicationResources(false);
            navDetail.initialize(application,session, request,response,out,
              "package3_Package3Module.EmpView");
            navDetail.render();
       %>
       </jsp:useBean>>

The value assigned to the `setReleaseApplicationResources` method determines whether the Application Module is released after RowsetNavigator Data Web Bean processes it. Typically, the value should not be set to true unless this is the last Web Bean to be processed in the JSP page.

Do not include more than one instance of RowsetNavigator bound to the same View Object on a JSP page. If you do, the toolbar action will be performed more than once. For example, if you have two instances of RowsetNavigator bound to the same View Object, and you click the Next Record button on the toolbar bound to the View Object, then the display will skip ahead two records.

Field Summary

Fields inherited from class oracle.jdeveloper.html.DataWebBeanImpl
`amName, bReleaseApplication, dispAttrs, ds`

Fields inherited from class oracle.jdeveloper.html.WebBeanImpl
`application, bUsedInTag, out, page, request, response, session`

Fields inherited from interface oracle.jdeveloper.html.WebBean
`contentFrameName, defaultCaboBase, defaultCaboImageBase, defaultImageBase, defaultJSPBase, defaultNLSFormat, JS_LIBRARIES, JS_NAMEID, JSButtonConstructorLib, JSCalendarConstructorLib, JSContainerConstructorLib, JSDataConstructLib, JSModalPageConstructorLib, JSTableConstructLib, JSToolbarConstructorLib, JSTreeConstructLib, JSUtilitiesLib`

Constructor Summary
`RowsetNavigator()`

Method Summary
`void` | `execute()` Reads the NAVIGATE parameter from the JSP's request and sets the current record of the View Object's RowSet to the appropriate record.
`boolean` | `getAutoExecute()`
`void` | `render()` Renders the Web Bean's contents to the output stream.
`void` | `setAutoExecute(boolean bAutoexecute)` set the AutoExecute option to true when you want the navigation bar to automatically call first() when there isn't a current row.

Methods inherited from class oracle.jbo.html.DataWebBeanImpl
`initialize, setUsedInTag`

Methods inherited from class oracle.jdeveloper.html.DataWebBeanImpl
`clearDisplayAttributes, getApplicationFromContext, getApplicationName, getAttributeLabel, getDisplayAttributeDefs, getDisplayAttributes, getDisplayFieldRenderer, getEditFieldRenderer, getRowKey, getRowSet, getViewObjectName, handleCommit, initialize, initialize, initialize, internalInitialize, isAppStateful, releaseApplicationResources, releaseApplicationResources, setDisplayAttributes, setDisplayFieldRenderer, setDisplayFieldRenderer, setEditFieldRenderer, setEditFieldRenderer, setReleaseApplicationResources, setRowSet, shouldDisplayAttribute`

Methods inherited from class oracle.jdeveloper.html.WebBeanImpl
`generateScriptSrc, getCookie, getOut, getRequest, getRequestVariable, getRequestVariable, getUniqueName, initBeanForJS, initBeanForJS, initBeanForJS, initialize, initialize, initialize, render, setRequestVariable, setRequestVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jdeveloper.html.DataWebBean
`clearDisplayAttributes, getApplicationName, getDisplayAttributeDefs, getDisplayAttributes, getDisplayFieldRenderer, getEditFieldRenderer, getRowSet, getViewObjectName, handleCommit, initialize, initialize, isAppStateful, setDisplayAttributes, setDisplayFieldRenderer, setDisplayFieldRenderer, setEditFieldRenderer, setEditFieldRenderer, setReleaseApplicationResources, setRowSet, shouldDisplayAttribute`

Methods inherited from interface oracle.jdeveloper.html.WebBean
`initialize, initialize, internalInitialize, render`

Constructor Detail

### RowsetNavigator

    public RowsetNavigator()

Method Detail

### execute

    public void execute()
                 throws java.lang.Exception

  Reads the NAVIGATE parameter from the JSP's request and sets the current record of the View Object's RowSet to the appropriate record. The possible values for NAVIGATE are:
  - NEXT - goto the next record
  - PREV - goto the previous record
  - FIRST - goto the first record
  - LAST - goto the last record
  - NEXTSET - goto the next page
  - PREVSET - goto the previous page
  - DELETE - delete the current record
  - COMMIT - commit the current record to the database
  - ROLLBACK - discard changes to the record
  Throws:
    `java.lang.Exception`

### render

    public void render()
                throws java.lang.Exception

  Renders the Web Bean's contents to the output stream.
  Specified by:
    `render` in interface `WebBean`
  Overrides:
    `render` in class `WebBeanImpl`
  Throws:
    `java.lang.Exception`

### setAutoExecute

    public void setAutoExecute(boolean bAutoexecute)

  set the AutoExecute option to true when you want the navigation bar to automatically call first() when there isn't a current row.

### getAutoExecute

    public boolean getAutoExecute()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.